Create a sso connection
POST
/v1/tenants/current/sso-connectionscurl -X POST 'https://api.embodiflow.io/v1/tenants/current/sso-connections' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"name": "string",
"protocol": "oidc",
"issuer": "string",
"clientId": "string",
"clientSecret": "string",
"secretRef": "string",
"authorizationEndpoint": "string",
"tokenEndpoint": "string",
"jwksUri": "string",
"samlEntityId": "string",
"samlAcsUrl": "string",
"samlMetadataUrl": "string",
"samlCertificate": "string"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- namestring必填
- protocolstring必填可选值oidcsaml
- issuerstring
- clientIdstring
- clientSecretstring
- secretRefstring
- authorizationEndpointstring
- tokenEndpointstring
- jwksUristring
- samlEntityIdstring
- samlAcsUrlstring
- samlMetadataUrlstring
- samlCertificatestring
响应
Success
- dataobject必填
- idstring必填
- namestring必填
- protocolstring必填可选值oidcsaml
- statusstring必填可选值disableddraftenabled
- issuerstring | null必填
- clientIdstring | null必填
- hasClientSecretone of必填
- secretRefstring | null必填
- authorizationEndpointstring | null必填
- tokenEndpointstring | null必填
- jwksUristring | null必填
- samlEntityIdstring | null必填
- samlAcsUrlstring | null必填
- samlMetadataUrlstring | null必填
- hasSamlCertificateone of必填
- createdAtstring必填
- updatedAtstring必填
- metaobject必填
- requestIdstring必填
响应示例
{
"data": {
"id": "string",
"name": "string",
"protocol": "oidc",
"status": "disabled",
"issuer": "string",
"clientId": "string",
"hasClientSecret": false,
"secretRef": "string",
"authorizationEndpoint": "string",
"tokenEndpoint": "string",
"jwksUri": "string",
"samlEntityId": "string",
"samlAcsUrl": "string",
"samlMetadataUrl": "string",
"hasSamlCertificate": false,
"createdAt": "string",
"updatedAt": "string"
},
"meta": {
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1